-----------------------------------------------------
-- Beispielskript zur SNEK 3 im Mrz 2014 in Nrnberg
-- Autor: Bernd Jungbluth
-- Keine Gewhrleistung, keine Haftung
-----------------------------------------------------


-- Anlegen einer Datenbank zur Verwendung von XTP-Tabellen
USE master
GO

CREATE DATABASE Demo_InMemory
ON
PRIMARY 
	(NAME = Demo_InMemory, 
	 FILENAME = 'D:\SNEK\Datenbanken\Demo_InMemory.mdf', SIZE = 1024MB), 
-- FILESTREAM Dateigruppe fr XTP-Dateien
FILEGROUP Demo_InMemory_Dateien CONTAINS MEMORY_OPTIMIZED_DATA
	(NAME = Demo_InMemory_Dateien, 
	 FILENAME = 'D:\SNEK\Datenbanken\Demo_InMemory\Dateien')
LOG ON 
	(NAME = Demo_InMemory_log, 
	 FILENAME = 'D:\SNEK\Datenbanken\Demo_InMemory.ldf', SIZE = 500MB);
GO


-- Alternative: ndern einer bestehenden Datenbank zur Verwendung von XTP-Tabellen
USE master
GO
ALTER DATABASE Datenbank
ADD FILEGROUP Datenbank_InMemory_Dateien CONTAINS MEMORY_OPTIMIZED_DATA
GO
ALTER DATABASE Datenbank 
ADD FILE 
	(NAME = Datenbank_InMemory_Dateien, 
	 FILENAME = 'D:\SNEK\Datenbanken\Demo_InMemory\Dateien') 
TO FILEGROUP Datenbank_InMemory_Dateien
GO